Create an order request (Coming soon)
Submit a request to create an order and get back an acknowledgement response containing the order’s ID immediately. An order with a status of Pending will be created immediately in order to generate an ID; Any in-play/BIR delay, as well as initial matching will be performed asynchronously. Updates about orders created via this method maybe found as OrderUpdate messages through the StreamAPI and/or by calling GET /orders/ with the returned ID
Headers
Header with the accessToken for the current session
Body
For, Against Optional - whether to keep unmatched portion of the order when its market enters InPlay (only relevant if the market has eventStartAction: CancelUnmatchedLiquidity) - default is false
Optional - How any unmatched portion of an order is treated:
- RetainUnmatched - unmatched portion persists as an offer (default)
- CancelUnmatched - unmatched portion is cancelled
RetainUnmatched, CancelUnmatched Optional - to use a different commission rate for this order than your app's default commission rate. If omitted or set to null, the app's default commission rate will be used (if it has one).